<template>
  <q-btn unelevated class="btn-md field-width" label="ARCHIVE" color="negative">
    <q-menu auto-close class="q-pa-lg">
      <span class="footer text-grey-7">SELECT REASON FOR ARCHIVING:</span>
      <div>
        <q-list class="list-width">
          <template v-for="(menu, key) in ARCHIVE_OPTIONS" :key="key">
            <q-item
              clickable
              v-ripple
              class="q-pa-sm"
              @click="$emit('dialog:show', menu.value)"
            >
              <q-item-section class="text-center">
                <q-chip square :color="menu.color" :text-color="menu.textColor">
                  <div class="text-center full-width">
                    {{ menu.name }}
                  </div>
                </q-chip>
              </q-item-section>
            </q-item>
            <q-separator v-if="menu.separator" />
          </template>
        </q-list>
      </div>
    </q-menu>
  </q-btn>
</template>

<script>
import { ARCHIVE_OPTIONS } from "../../constants";
import { defineComponent } from "vue";

export default defineComponent({
  name: "ArchiveMenu",
  setup() {
    return {
      ARCHIVE_OPTIONS,
    };
  },
});
</script>

<style lang="scss" scoped>
.list {
  &-width {
    min-width: 200px;
    max-width: 350px;
  }
}
</style>
